Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 599452 - SELinux is preventing /usr/libexec/gam_server "search" access on 10003.
SELinux is preventing /usr/libexec/gam_server "search" access on 10003.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:06010f99717...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 05:30 EDT by John
Modified: 2010-09-22 07:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-03 07:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John 2010-06-03 05:30:26 EDT
Summary:

SELinux is preventing /usr/libexec/gam_server "search" access on 10003.

Detailed Description:

SELinux denied access requested by gam_server. It is not expected that this
access is required by gam_server and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:fail2ban_t:s0
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                10003 [ dir ]
Source                        gam_server
Source Path                   /usr/libexec/gam_server
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gamin-0.1.10-7.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-21.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-112.fc13.x86_64 #1 SMP
                              Thu May 27 02:28:31 UTC 2010 x86_64 x86_64
Alert Count                   12
First Seen                    Thu 13 May 2010 03:23:10 PM MSD
Last Seen                     Thu 03 Jun 2010 01:21:21 PM MSD
Local ID                      8f115415-b271-4362-bc18-8883d49a3cc9
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1275556881.636:75046): avc:  denied  { search } for  pid=1618 comm="gam_server" name="10003" dev=proc ino=1268704 scontext=system_u:system_r:fail2ban_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dir

node=(removed) type=SYSCALL msg=audit(1275556881.636:75046): arch=c000003e syscall=2 success=no exit=-13 a0=22fbfb0 a1=0 a2=1b6 a3=0 items=0 ppid=1 pid=1618 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="gam_server" exe="/usr/libexec/gam_server" subj=system_u:system_r:fail2ban_t:s0 key=(null)



Hash String generated from  catchall,gam_server,fail2ban_t,unconfined_t,dir,search
audit2allow suggests:

#============= fail2ban_t ==============
allow fail2ban_t unconfined_t:dir search;
Comment 1 Miroslav Grepl 2010-06-03 07:25:44 EDT
Don't run fail2ban using gam_server, change it to polling mode please.

Note You need to log in before you can comment on or make changes to this bug.